Withdraw from Synthra V3
curl --request POST \
--url https://api.aegisintent.xyz/v1/actions/wealth/yield/synthra/withdraw \
--header 'Authorization: Bearer <token>' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-Aegis-Email: <x-aegis-email>' \
--header 'X-Aegis-Nonce: <x-aegis-nonce>'import requests
url = "https://api.aegisintent.xyz/v1/actions/wealth/yield/synthra/withdraw"
headers = {
"X-Aegis-Email": "<x-aegis-email>",
"Idempotency-Key": "<idempotency-key>",
"X-Aegis-Nonce": "<x-aegis-nonce>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Aegis-Email': '<x-aegis-email>',
'Idempotency-Key': '<idempotency-key>',
'X-Aegis-Nonce': '<x-aegis-nonce>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.aegisintent.xyz/v1/actions/wealth/yield/synthra/withdraw', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"txHash": "<string>"
}Actions API
Withdraw from Synthra V3
Close the agent’s active Synthra V3 concentrated liquidity position and collect all liquidity plus accrued trading fees back to USDC. No request body required.
POST
/
v1
/
actions
/
wealth
/
yield
/
synthra
/
withdraw
Withdraw from Synthra V3
Close the agent’s active Synthra V3 concentrated liquidity position and collect all liquidity plus accrued trading fees back to USDC. No request body is required — the system automatically identifies the agent’s active NFT position.
Authorizations
BearerAuthAegisEmail
Provide raw API session token issued by /v1/connect/complete
Headers
Agent email address
Unique UUID for financial idempotency
Current agent nonce
Was this page helpful?
⌘I